Eclipse Platform Release 3.7

## org.eclipse.jface.action
Interface ExternalActionManager.IExecuteApplicable

Enclosing class:
  ExternalActionManager

    public static interface ExternalActionManager.IExecuteApplicable

An overridable mechanism to filter certain IActions from the execution bridge.

Since:
  3.4

Method Summary
`boolean` `isApplicable(IAction action)` Allow the callback to filter out actions that should not fire execution events.

Method Detail

### isApplicable

    boolean isApplicable(IAction action)

  Allow the callback to filter out actions that should not fire execution events.

  Parameters:
    `action` - The action with an actionDefinitionId
  Returns:
    true if this action should be considered.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.